/*
  e-Gizmo Voice Control Command Module (VCCM)

  This example to include conversion from a
  decimal number to its hexadecimal equivalent.
  In this code, Serial.println(dynamicDecimalCode, HEX)
  converts the decimal input into a hexadecimal string
  and then prints the HexCode or the hexadecimal result.

   Required Firmwares: egizmo1v72 (no reply word) or
                      egizmo1v73 (with reply word)

  Visit our page: https://www.e-gizmo.net
  Manual Guide: https://e-gizmo.net/oc/kits%20documents/Voice%20Control%20Command%20Module%20%28e-GizmoVCCM%29/e-Gizmo%20VCCM.pdf
  Product Page: https://www.e-gizmo.net/gizmoshop/index.php?route=product/product&search=voice+con&product_id=1633


*/


#include "eGizmoVoiceCommand.h"
#include <SoftwareSerial.h>


/// Serial Communication (RX,TX)
SoftwareSerial eGizmoSerial(10, 11);

void setup() {
  Serial.begin(115200);
  while (!Serial); // wait for serial port to connect. Needed for native USB port only , This port is for displaying data that sends.

  eGizmoSerial.begin(115200); // Make sure to set the baud rate to match your communication
  Serial.println("waiting for the commands...");
}

void loop() {
  // Your main code here
  uint8_t *voiceData = detecteGizmoVoiceSensor(&eGizmoSerial);

  if (voiceData != NULL) {
    uint8_t dynamicDecimalCode = voiceData[1];
    //String response = getCommandInString(voiceData);
    Serial.print("HEX: 0x");
    Serial.print(dynamicDecimalCode, HEX);
    Serial.println(" ");
  }
  delay(1000);
}